## 船舶尾气监管平台

### 四个数据库

二氧化硫、黑烟、光谱、基础库

```
光谱分析：地址：47.92.161.189  端口：3306 账号 js_test 密码 js123456
本地测试库：地址：200.200.19.126:3306 root/root 
```

> ElasticSearch

```
内网测试环境
http://200.200.19.122:5601/app/dev_tools#/console
http://200.200.19.122:9200

外网测试环境
http://212.129.138.23:9100
http://212.129.138.23:9200

生产环境
http://198.17.188.51:9200
启动流程：切换到su esuser
cd /home/elasticsearch-7.14.0/bin/
./elasticsearch -d
```

> canal

```
启动流程：
1.cd /Users/huangcheng/workspace/canal/canal.admin-1.1.5/bin 
    sh startup.sh
2.cd /Users/huangcheng/workspace/canal/canal.deployer-1.1.5/bin
    sh startup.sh
3.cd /Users/huangcheng/workspace/canal/canal.adapter-1.1.5/bin
    sh startup.sh
canal admin管理后台 http://127.0.0.1:8089   admin/123456

```

```
Entry=====> RowChange=====> Column

Entry
    Header
        logfileName [binlog文件名]
        logfileOffset [binlog position]
        executeTime [发生的变更]
        schemaName 
        tableName
        eventType [insert/update/delete类型]
    entryType   [事务头BEGIN/事务尾END/数据ROWDATA]
    storeValue  [byte数据,可展开，对应的类型为RowChange]    
 
 
RowChange
    isDdl       [是否是ddl变更操作，比如create table/drop table]
    sql     [具体的ddl sql]
    rowDatas    [具体insert/update/delete的变更数据，可为多条，1个binlog event事件可对应多条变更，比如批处理]
        beforeColumns [Column类型的数组]
        afterColumns [Column类型的数组]  
 
    
Column 
    index       
    sqlType     [jdbc type]
    name        [column name]
    isKey       [是否为主键]
    updated     [是否发生过变更]
    isNull      [值是否为null]

```

> 生产环境参数

```
1.黑烟数据库：
198.17.23.20:3306/smoke_api   root_shipface   @P5zQQMbax8xx
设备页面：http://198.17.23.29:8091/（正式）              http://119.45.121.229:8090/?opt=1（测试）
黑烟后台：http://198.17.23.29:8090/  admin/word
2.嗅探数据库
198.17.23.18:3306/ais_database  js_test     Js@123456
设备页面：http://198.17.188.2:81/index.html?opt=1（生产）    http://47.92.161.189:81/index.html?opt=1（测试）    http://198.17.25.32:9011/index.html?opt=1（前置机）
3.光谱数据库
设备页面：http://198.17.25.32:9001/device.html?opt=1（前置机）
```

外网登录地址：http://36.134.96.232:8088/home

外网：http://36.134.96.232:8088/prod-api/portal/login?token=
内网：http://198.17.188.50:8088/prod-api/portal/login?token=
> 注意：数据库需设置

```
#配置不包含ONLY_FULL_GROUP_BY
sql_mode=NO_ENGINE_SUBSTITUTION,STRICT_TRANS_TABLES
```

> 记录

- 三子系统ES中共同的字段：mmsi、shipName、destination、berthName、monitorPointName
- 黑烟提供的接口文档地址：https://yx00mdxxzb.feishu.cn/docs/doccnv5xXUqxHYTqMyhj5UkQjPd#
- 不过期的token： Authorization:Bearer eyJhbGciOiJIUzUxMiJ9.eyJsb2dpbl91c2VyX2tleSI6IjJiNzliMGJjLWIzYzktNDYzNi1hODRiLTQ2NGM2OGM5MTYxNSJ9.QHG8CoKPfGizflQAKXcl8et-PpNdmmwRCwGRnt4jgRkwmZaiG5c4ibNg_oVD1XBL2XIU-oVlkHHRoot4g8Zy6w
- VPN堡垒机:zhaohx-gangfeng/Xt@123456 访问地址：172.17.25.199

> 黑烟子系统

# 只读账号

1. AES加密字符串 xintong
2. 账号+密码 {"username":"onlyread","password":"OPVZCUSi4uP"}
3. 账号权限类型（只分读写两个） 只读

# 读写账号

1. AES加密字符串 xintong
2. 账号+密码 {"username":"readwrite","password":"OaUcu1jYZ4a"}
3. 账号权限类型（只分读写两个） 读写

> 嗅探子系统

URL：198.17.188.2:83/index?code= 可编辑账号：js_admin js@123456 {"username":"js_admin","password":"js@123456","timestamp":7200,"optauth":
1}  http://198.17.188.2:83/index.html?code=BTLQ+ClrznbhOHCub6CGUQYl8TcvXFAJNFENrNfQbFCINLOEvUWancX7dQ6sPXvrD049Nl2pznqLCS0Z3SHQM1KM//+yXmR3cXXV+wpg/m0=
可查看账号：js_viewer js@123456 {"username":"js_admin","password":"js@123456","timestamp":7200,"optauth":2}  
http://198.17.188.2:83/index.html?code=BTLQ+ClrznbhOHCub6CGUcY62Y+uR1dbJR9PTNL7RKRr8MeeVRRKPrKyGSOvs59pzdhaSccxu6++mQG/JbzUUHKuzfA8knBYIMDSk1AHy0A=

> 服务器启动

- cd C:\cbwq\nginx-1.22.0
- start nginx
- cd C:\Program Files\Redis
- redis-server.exe redis.windows.conf
- cd C:\cbwq\api
- java -jar ais-kafka.jar