package com.ruoyi.system.domain;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 光谱-嫌疑船舶
 *
 * @author ruoyi
 * @date 2021-08-24
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class GuapAlert extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Long id;

    private String mmsi;

    @Excel(name = "船名")
    private String shipName;

    @Excel(name = "目的地")
    private String destination;

    private String berthName;
    private String shipRegionType;
    private String orgName;
    private String illegalType;
    private String dealResult;
    private String fastResult;
    private String uploadResult;

    private Long monitorPointId;

    @Excel(name = "监测点")
    private String monitorPointName;

    @Excel(name = "二氧化氮浓度")
    private BigDecimal no2Concentration;

    @Excel(name = "二氧化硫浓度")
    private BigDecimal so2Concentration;

    @Excel(name = "二氧化碳浓度")
    private BigDecimal co2Concentration;

    @Excel(name = "燃油硫含量")
    private BigDecimal so2Percent;

    @Excel(name = "时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    private Integer illegalStatus;
    private Integer uploadFlag;
}
