package com.ruoyi.system.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;

/**
 * 嫌疑船舶
 *
 * @author ruoyi
 * @date 2021-08-24
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class IllegalShip extends BaseEntity {
    private static final long serialVersionUID = 1L;

    private Long id;
    @Excel(name = "船舶名", width = 25)
    private String shipName;
    @Excel(name = "mmsi")
    private String mmsi;
    @Excel(name = "内河船/海船", readConverterExp = "0=内河船,1=海船,null=未知")
    private String shipRegionType;// 0-内河船。1-海船
    @Excel(name = "管辖机构", width = 15)
    private String orgName;
    @Excel(name = "硫含量")
    private BigDecimal so2Percent;
    private String illegalType;
    private String dealResult;
    private String fastResult;
    private String uploadResult;
    @Excel(name = "监测点", width = 15)
    private String monitorPointName;
    @Excel(name = "目的港", width = 15)
    private String destination;

    // 状态。1-正常；2-嫌疑；3-违规；4-检查正常
    @Excel(name = "状态", readConverterExp = "1=正常,2=嫌疑,3=违规,4=检查正常")
    private Integer illegalStatus;
    @Excel(name = "码头泊位", width = 20)
    private String berthName;

    private BigDecimal so2Concentration;

    private String filterMmsi;

    private String semId;

    private String deviceId;

    private String deviceName;

    /**
     * 预抵/预离时间
     */
    @Excel(name = "预抵/预离时间", width = 15)
    private String expectTime;

}
