package com.ruoyi.system.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 嫌疑违法船舶对象 illegal_ship_data
 *
 * @author xintong
 * @date 2021-11-05
 */
@Data
public class IllegalShipData extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    private String id;

    private String systemId;

    private String systemEsIndex;

    /**
     * 数据类型
     */
    @Excel(name = "数据类型")
    private String illegalType;

    /**
     * mmsi
     */
    @Excel(name = "mmsi")
    private String mmsi;

    /**
     * 船名
     */
    @Excel(name = "船名")
    private String shipName;

    /**
     * 目的港
     */
    @Excel(name = "目的港")
    private String destination;

    /**
     * 锚泊计划
     */
    @Excel(name = "锚泊计划")
    private String berthName;

    /**
     * 船类型，0-内河船；1-海船
     */
    @Excel(name = "船类型，0-内河船；1-海船")
    private String shipRegionType;

    /**
     * 管辖机构
     */
    @Excel(name = "管辖机构")
    private String orgName;

    /**
     * 处置结果
     */
    @Excel(name = "处置结果")
    private String dealResult;

    /**
     * 快检结果
     */
    @Excel(name = "快检结果")
    private String fastResult;

    /**
     * 送检结果
     */
    @Excel(name = "送检结果")
    private String uploadResult;

    /**
     * 监测点
     */
    @Excel(name = "监测点")
    private String monitorPointName;

    /**
     * 硫含量
     */
    @Excel(name = "硫含量")
    private BigDecimal so2Percent;

    /**
     * 二氧化氮浓度
     */
    @Excel(name = "二氧化氮浓度")
    private BigDecimal no2Concentration;

    /**
     * 二氧化硫浓度
     */
    @Excel(name = "二氧化硫浓度")
    private BigDecimal so2Concentration;

    /**
     * 二氧化碳浓度
     */
    @Excel(name = "二氧化碳浓度")
    private BigDecimal co2Concentration;

    /**
     * 黑度
     */
    @Excel(name = "黑度")
    private Long rcgSoot;

    /**
     * 黑烟照片
     */
    @Excel(name = "黑烟照片")
    private String sootImgUrl;

    /**
     * 黑烟其他照片
     */
    @Excel(name = "黑烟其他照片")
    private String allImgUrl;

    /**
     * 违法状态.1-确认正常.2-嫌疑，3-确认违法,4-此船已上报，暂时不需要上报
     */
    @Excel(name = "违法状态")
    private Integer illegalStatus;

    /**
     * 上报标记
     */
    @Excel(name = "上报标记")
    private Integer uploadFlag;

    /**
     * $column.columnComment
     */
    private String delFlag;

}
