package com.ruoyi.system.domain;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 嗅探-嫌疑船舶
 *
 * @author ruoyi
 * @date 2021-08-24
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class XiuTanIllegalShip extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Long id;

    private String semId;

    @Excel(name = "设备名")
    private String semName;

    private String berthName;
    private String shipRegionType;
    private String orgName;
    private String illegalType;
    private String dealResult;
    private String fastResult;
    private String uploadResult;

    private String destination;

    @Excel(name = "监测点")
    private String monitorPointName;

    @Excel(name = "硫含量")
    private BigDecimal sPercent;

    @Excel(name = "氮含量")
    private BigDecimal nPercent;

    @Excel(name = "波峰时间")
    private Date peakTime;

    private Date createTime;

    @Excel(name = "波峰起始时间")
    private Date startTime;

    @Excel(name = "波峰结束时间")
    private Date endTime;

    private String mmsi;

    @Excel(name = "船舶名")
    private String shipName;

    @Excel(name = "误差")
    private BigDecimal error;

    @Excel(name = "距离")
    private BigDecimal distance;

    @Excel(name = "风速")
    private BigDecimal windSpeed;

    @Excel(name = "风向")
    private BigDecimal windAngle;

    @Excel(name = "状态。1-正常；2-嫌疑；3-违规；4-检查正常")
    private Integer illegalStatus;

    private Integer uploadFlag;

    private Integer confirmed;

}
